### Hierarchy

- PaymentResponse

## Index

### Properties

- details
- methodName
- payerEmail
- payerName
- payerPhone
- requestId
- shippingAddress
- shippingOption

### Methods

- complete
- toJSON

## Properties

### details

details: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10907

### methodName

methodName: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10908

### payerEmail

payerEmail: string | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10909

### payerName

payerName: string | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10910

### payerPhone

payerPhone: string | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10911

### requestId

requestId: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10912

### shippingAddress

shippingAddress: PaymentAddress | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10913

### shippingOption

shippingOption: string | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10914

## Methods

### complete

- complete(result?: PaymentComplete): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10915

  #### Parameters

  - ##### Optional result: PaymentComplete

  #### Returns Promise<void>

### toJSON

- toJSON(): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10916

  #### Returns any

Generated using TypeDoc